## dbus-1-tqt 3.5.13.3~pre70

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( dbus-1-tqt )


##### cmake setup ###############################

cmake_minimum_required( VERSION 2.8 )

include( FindPkgConfig )
include( CheckCXXSourceCompiles )
include( CheckSymbolExists )

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" OFF )


##### configure checks ##########################

include( ConfigureChecks.cmake )


##### install paths setup #######################

tde_setup_install_path( EXEC_INSTALL_PREFIX   "${CMAKE_INSTALL_PREFIX}" )
tde_setup_install_path( BIN_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/bin"  )
tde_setup_install_path( LIB_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )
tde_setup_install_path( INCLUDE_INSTALL_DIR   "${CMAKE_INSTALL_PREFIX}/include/${CMAKE_PROJECT_NAME}" )
tde_setup_install_path( PKGCONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/pkgconfig" )


##### install headers ###########################

install( FILES
    tqdbuserror.h tqdbusmessage.h tqdbusconnection.h
    tqdbusvariant.h tqdbusobject.h tqdbusproxy.h
    tqdbusmacros.h tqdbusdata.h tqdbusdatalist.h
    tqdbusdatamap.h tqdbusobjectpath.h tqdbusunixfd.h
    tqdbusdataconverter.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### install other data ########################

##### write pkgconfig file ######################

string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )
configure_file( dbus-1-tqt.pc.cmake dbus-1-tqt.pc @ONLY )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/dbus-1-tqt.pc DESTINATION ${PKGCONFIG_INSTALL_DIR} )


##### build setup ###############################

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include tqt.h" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )

add_definitions(
  -DDBUS_COMPILATION
  -DQT_THREAD_SUPPORT
  ${TQT_CFLAGS_OTHER}
)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${DBUS_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### dbus-1-tqt (shared) #########################

tde_add_library( dbus-1-tqt SHARED AUTOMOC
  SOURCES ${dbus_tqt_MOCS}
    tqdbusconnection.cpp tqdbuserror.cpp tqdbusintegrator.cpp
    tqdbusmarshall.cpp tqdbusmessage.cpp tqdbusserver.cpp
    tqdbusproxy.cpp tqdbusdata.cpp tqdbusdatalist.cpp
    tqdbusobjectpath.cpp tqdbusunixfd.cpp
    tqdbusdataconverter.cpp
  VERSION 0.0.0
  LINK ${TQT_LIBRARIES} ${DBUS_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### dbusxml2qt3 (executable) ##################

tde_add_executable( dbusxml2qt3
  SOURCES
    tools/dbusxml2qt3/classgen.cpp
    tools/dbusxml2qt3/main.cpp
    tools/dbusxml2qt3/methodgen.cpp
  LINK ${TQT_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)

## dbus-1-tqt 3.5.13.2

=== debian/changelog ===
dbus-1-tqt (4:3.5.13.2-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 14:08:41 +0200

dbus-1-tqt (0.9-0ubuntu1) maverick; urgency=low

  * Initial package

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 23 Mar 2010 13:23:00 -0600

=== debian/control ===
Source: dbus-1-tqt
Section: devel
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), quilt, libtqtinterface-dev, libdbus-1-dev (>= 0.90), cmake
Standards-Version: 3.8.3

Package: libdbus-1-tqt-dev
Section: libdevel
Architecture: any
Depends: libdbus-1-tqt (= ${binary:Version}), libdbus-1-dev (>= 0.90), libtqtinterface-dev
Description: dbus bindings for the Trinity Qt [TQt] interface
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides bindings for the Trinity Qt TQt interface.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-1-tqt
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: dbus bindings for the Trinity Qt [TQt] interface
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides bindings for the Trinity Qt TQt interface.
 .
 See the dbus description for more information about D-BUS in general.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

## dbus-1-tqt 3.5.13.3~pre70

=== debian/changelog ===
dbus-1-tqt (4:3.5.13.3~pre70-0ubuntu12.04.0+3) precise; urgency=low

  * Automated git build for 017501d99288580d16284cb666ff165eeb74f2ef

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Jun 2021 01:30:27 +0200

## dbus-1-tqt 3.5.13.3~pre71

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 ##### cmake setup ###############################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 3.1 )
 
 include( FindPkgConfig )
 include( CheckCXXSourceCompiles )

=== debian/changelog ===
dbus-1-tqt (4:3.5.13.3~pre71-0raspbian11.0.0+3) raspbian-bullseye; urgency=low

  * Automated git build for 9fc3d8cf4242d68f94c19abadc090d62e1cb0a28

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 30 Dec 2021 14:50:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), quilt, libtqtinterface-dev, libdbus-1-dev (>= 0.90), cmake
+Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake-trinity, ninja-build, libtqtinterface-dev, libdbus-1-dev (>= 0.90)
 Standards-Version: 3.8.3
 
 Package: libdbus-1-tqt-dev

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# Build options
DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DWITH_ALL_OPTIONS="ON"

## dbus-1-tqt 14.1.0

=== debian/changelog ===
dbus-1-tqt (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 24 Mar 2023 02:34:49 +0100

=== debian/control ===
Source: dbus-1-tqt
Section: devel
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libdbus-1-dev (>= 0.90)
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.8.3

Package: libdbus-1-tqt-dev
Section: libdevel
Architecture: any
Replaces: libdbus-1-tqt-dev (<< 4:14.0.0~)
Breaks: libdbus-1-tqt-dev (<< 4:14.0.0~)
Depends: libdbus-1-tqt (= ${binary:Version}), libdbus-1-dev (>= 0.90), libtqtinterface-dev
Description: dbus bindings for the Trinity TQt interface
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides bindings for the Trinity TQt interface.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-1-tqt
Section: libs
Architecture: any
Replaces: libdbus-1-tqt (<< 4:14.0.0~)
Breaks: libdbus-1-tqt (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: dbus bindings for the Trinity TQt interface
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides bindings for the Trinity TQt interface.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-1-tqt-doc
Section: doc
Architecture: all
Replaces: libdbus-1-tqt-doc (<< 4:14.0.0~)
Breaks: libdbus-1-tqt-doc (<< 4:14.0.0~)
Description: developer documentation for the libdbus-1-tqt libraries
 This package contains documentation for the libdbus-1-tqt libraries, of
 use more for developers creating applications which use the libdbus-1-tqt libraries, than regular users.
 .
 This package is part of the provided bindings for the Trinity TQt interface.
 .
 See the dbus description for more information about D-BUS in general.

## dbus-1-tqt 14.1.1

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( dbus-1-tqt )


##### cmake setup ###############################

cmake_minimum_required( VERSION 3.1 )

include( FindPkgConfig )
include( CheckCXXSourceCompiles )
include( CheckSymbolExists )

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


##### install paths setup #######################

tde_setup_install_path( EXEC_INSTALL_PREFIX   "${CMAKE_INSTALL_PREFIX}" )
tde_setup_install_path( BIN_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/bin"  )
tde_setup_install_path( LIB_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )
tde_setup_install_path( INCLUDE_INSTALL_DIR   "${CMAKE_INSTALL_PREFIX}/include/${CMAKE_PROJECT_NAME}" )
tde_setup_install_path( PKGCONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/pkgconfig" )


##### write pkgconfig file ######################

string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )
configure_file( dbus-1-tqt.pc.cmake dbus-1-tqt.pc @ONLY )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/dbus-1-tqt.pc DESTINATION ${PKGCONFIG_INSTALL_DIR} )


##### build setup ###############################

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )

add_definitions(
  -DDBUS_COMPILATION
  -DTQT_THREAD_SUPPORT
  ${TQT_CFLAGS_OTHER}
)

if( CMAKE_APIDOX_HTML_DIRECTORY )
	set( APIDOX_HTML_DIRECTORY "${CMAKE_APIDOX_HTML_DIRECTORY}" )
else()
	set( APIDOX_HTML_DIRECTORY "/usr/share/doc/lib${PROJECT_NAME}/HTML" )
endif()


##### source directories ########################

add_subdirectory( src )


##### write configure files #####################

configure_file( ${CMAKE_SOURCE_DIR}/dbus-1-tqt.Doxyfile.cmake ${CMAKE_BINARY_DIR}/dbus-1-tqt.Doxyfile )

=== debian/changelog ===
dbus-1-tqt (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 04:56:42 +0200

## dbus-1-tqt 14.1.2

=== debian/changelog ===
dbus-1-tqt (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:56:36 +0100

## dbus-1-tqt 14.1.3

=== debian/changelog ===
dbus-1-tqt (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 09 Sep 2024 09:40:00 +0200

## dbus-1-tqt 14.1.4

=== debian/changelog ===
dbus-1-tqt (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## dbus-1-tqt 14.1.5~pre1

=== debian/changelog ===
dbus-1-tqt (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 4f3444b1e1ec7dc2884d25d9e249e6e95c8c9da6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## dbus-1-tqt 14.1.5

=== debian/changelog ===
dbus-1-tqt (4:14.1.5-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libdbus-1-dev (>= 0.90)
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libdbus-1-dev (>= 0.90)
 Build-Depends-Indep: doxygen, graphviz
 Standards-Version: 3.8.3

## dbus-1-tqt 14.1.6~pre0

=== debian/changelog ===
dbus-1-tqt (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 4f3444b1e1ec7dc2884d25d9e249e6e95c8c9da6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## dbus-1-tqt 14.1.6~pre1

=== debian/changelog ===
dbus-1-tqt (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b40e3f40474a75182763069a6e2a4c4dbf2faffa
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Dec 2025 03:04:27 +0100

## dbus-1-tqt 14.1.6~pre3

=== debian/changelog ===
dbus-1-tqt (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 296b5109ab28ef4fc1e487c43bca83d195168542
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 23:03:11 +0100

## dbus-1-tqt 14.1.6~pre4

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,23 +9,35 @@
 #
 #################################################
 
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
+
+
+##### general package setup #####################
+
 project( dbus-1-tqt )
 
 
-##### cmake setup ###############################
-
-cmake_minimum_required( VERSION 3.1 )
+##### include essential cmake modules ###########
 
 include( FindPkgConfig )
 include( CheckCXXSourceCompiles )
 include( CheckSymbolExists )
 
+
+##### include our cmake modules #################
+
 include( TDEMacros )
 
 
-##### set version number ########################
+##### setup install paths #######################
 
-tde_set_project_version( )
+include( TDESetupPaths )
+tde_setup_paths( )
 
 
 ##### optional stuff
@@ -39,19 +51,10 @@
 include( ConfigureChecks.cmake )
 
 
-##### install paths setup #######################
-
-tde_setup_install_path( EXEC_INSTALL_PREFIX   "${CMAKE_INSTALL_PREFIX}" )
-tde_setup_install_path( BIN_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/bin"  )
-tde_setup_install_path( LIB_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )
-tde_setup_install_path( INCLUDE_INSTALL_DIR   "${CMAKE_INSTALL_PREFIX}/include/${CMAKE_PROJECT_NAME}" )
-tde_setup_install_path( PKGCONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/pkgconfig" )
-
-
 ##### write pkgconfig file ######################
 
 string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
-string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
+string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR}/${CMAKE_PROJECT_NAME} )
 string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )
 configure_file( dbus-1-tqt.pc.cmake dbus-1-tqt.pc @ONLY )
 install( FILES ${CMAKE_CURRENT_BINARY_DIR}/dbus-1-tqt.pc DESTINATION ${PKGCONFIG_INSTALL_DIR} )

=== src/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${DBUS_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### install headers ###########################

tde_process_includes(
    tqdbuserror.h tqdbusmessage.h tqdbusconnection.h
    tqdbusvariant.h tqdbusobject.h tqdbusproxy.h
    tqdbusmacros.h tqdbusdata.h tqdbusdatalist.h
    tqdbusdatamap.h tqdbusobjectpath.h tqdbusunixfd.h
    tqdbusdataconverter.h
  DESTINATION ${CMAKE_PROJECT_NAME}
)


##### dbus-1-tqt (shared) #########################

tde_add_library( dbus-1-tqt SHARED AUTOMOC
  SOURCES ${dbus_tqt_MOCS}
    tqdbusconnection.cpp tqdbuserror.cpp tqdbusintegrator.cpp
    tqdbusmarshall.cpp tqdbusmessage.cpp tqdbusserver.cpp
    tqdbusproxy.cpp tqdbusdata.cpp tqdbusdatalist.cpp
    tqdbusobjectpath.cpp tqdbusunixfd.cpp
    tqdbusdataconverter.cpp
  VERSION 0.0.0
  LINK ${TQT_LIBRARIES} ${DBUS_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### dbusxml2qt3 (executable) ##################

tde_add_executable( dbusxml2qt3
  SOURCES
    tools/dbusxml2qt3/classgen.cpp
    tools/dbusxml2qt3/main.cpp
    tools/dbusxml2qt3/methodgen.cpp
  LINK ${TQT_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### add apidox targets ############

add_custom_target( apidox
  COMMAND doxygen ${CMAKE_BINARY_DIR}/dbus-1-tqt.Doxyfile
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

add_custom_target( install-apidox
  COMMAND ${CMAKE_COMMAND} -E echo Apidox installed in ${APIDOX_HTML_DIRECTORY}
)

install( CODE "
  if( EXISTS ${CMAKE_BINARY_DIR}/apidocs )
    file(
      INSTALL ${CMAKE_BINARY_DIR}/apidocs/
      DESTINATION ${APIDOX_HTML_DIRECTORY}/en
    )
  endif()"
)

=== debian/changelog ===
dbus-1-tqt (4:14.1.6~pre4-0ubuntu24.10.0+2) oracular; urgency=low

  * Automated git build for 29995e9da2b3fb3fc2787ead97c0c1cdfb2cd87d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Feb 2026 02:52:52 +0100

dbus-1-tqt (4:14.1.6~pre0-0) forky; urgency=low

  * Added SO version to binary package name.
  * Install libraries according to multi-arch rules.
  * Removed Replaces and Breaks referring to themselves.
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 25 Feb 2026 10:31:10 +0100

=== debian/control ===
Source: dbus-1-tqt
Section: devel
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libdbus-1-dev (>= 0.90)
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.8.3

Package: libdbus-1-tqt-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdbus-1-tqt0 (= ${binary:Version}), libdbus-1-dev (>= 0.90), libtqtinterface-dev
Description: dbus bindings for the Trinity TQt interface
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides bindings for the Trinity TQt interface.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-1-tqt0
Section: libs
Architecture: any
Multi-Arch: same
Conflicts: libdbus-1-tqt
Provides: libdbus-1-tqt (= ${binary:Version})
Replaces: libdbus-1-tqt
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dbus bindings for the Trinity TQt interface
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides bindings for the Trinity TQt interface.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-1-tqt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: developer documentation for the libdbus-1-tqt libraries
 This package contains documentation for the libdbus-1-tqt libraries, of
 use more for developers creating applications which use the libdbus-1-tqt
 libraries, than regular users.
 .
 This package is part of the provided bindings for the Trinity TQt interface.
 .
 See the dbus description for more information about D-BUS in general.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

ifdef DEB_HOST_MULTIARCH
  CMAKE_INSTALL_LIBDIR = lib/$(DEB_HOST_MULTIARCH)
else
  CMAKE_INSTALL_LIBDIR = lib
endif

DEB_KDE_APIDOX := yes

# Build options
DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_INSTALL_LIBDIR=$(CMAKE_INSTALL_LIBDIR) \
 -DWITH_ALL_OPTIONS="ON"

## dbus-1-tqt 14.2.0~pre10

=== debian/changelog ===
dbus-1-tqt (4:14.2.0~pre10-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 8bc7bd5e9e885fc26ff398602970b189e8c490c3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## dbus-1-tqt 14.2.0~pre11

=== debian/changelog ===
dbus-1-tqt (4:14.2.0~pre11-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 56a83882045fc3eb55cd663df6c73b334cb98eed
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Dec 2025 23:54:37 +0100

## dbus-1-tqt 14.2.0~pre13

=== debian/changelog ===
dbus-1-tqt (4:14.2.0~pre13-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 65da4c717517fdb2066a7887f64b63fd9e4d3bd1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 23:01:24 +0100

## dbus-1-tqt 14.2.0~pre14

=== debian/changelog ===
dbus-1-tqt (4:14.2.0~pre14-0raspbian13.0.0+9) raspbian-trixie; urgency=low

  * Automated git build for 298cd5083af048a6d69224bfb2263185b870c003
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Feb 2026 18:16:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libdbus-1-dev (>= 0.90)
+Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev, libdbus-1-dev (>= 0.90)
 Build-Depends-Indep: doxygen, graphviz
 Standards-Version: 3.8.3
 
 Package: libdbus-1-tqt-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdbus-1-tqt0 (= ${binary:Version}), libdbus-1-dev (>= 0.90), libtqtinterface-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdbus-1-tqt0 (= ${binary:Version}), libdbus-1-dev (>= 0.90), libtqt3-mt-dev
 Description: dbus bindings for the Trinity TQt interface
  D-BUS is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
